// Prevents additional console window on Windows in release, DO NOT REMOVE!!
#![cfg_attr(not(debug_assertions), windows_subsystem = "windows")]

mod serial;
mod animation;

fn main() {
    tauri::Builder::default()
        .invoke_handler(tauri::generate_handler![serial::get_serial_ports, serial::write_serial, serial::open_port, serial::close_port, animation::start])
        .run(tauri::generate_context!())
        .expect("error while running tauri application");
}
